from django import forms

from accounts.models import Accounts
from accounts.utils import LoginHelper, VocationHelper


class LoginForm(forms.Form):
    account_name = forms.CharField()
    password = forms.CharField(widget=forms.PasswordInput)

    def is_valid(self):
        if not super(LoginForm, self).is_valid():
            return False

        account = Accounts.objects.get(name=self.cleaned_data['account_name'])
        hashed_password = LoginHelper.hash_password(self.cleaned_data['password'])
        if account.password == hashed_password:
            return True
        else:
            return False

class CreateCharacterForm(forms.Form):
    name = forms.CharField()
    #vocation = forms.ChoiceField(
    #    choices=VocationHelper.get_base_vocation_choices())
    sex = forms.ChoiceField(choices=((0, 'female'), (1, 'male')))